-- Thanks to 3M for the english version
-- GERMAN CLIENT ONLY!!!

--[[
	- 	\195\164	Jger = J\195\164ger
	- 	\195\132	rger = \195\132rger
	- 	\195\182	schn = sch\195\182n
	- 	\195\150	dipus = \195\150dipus
	- 	\195\188	Rstung = R\195\188stung
	- 	\195\156	bung = \195\156bung
	- 	\195\159	Strae = Stra\195\159e
]]--

local stummliste = {
	--[[ Brachland ]] "Takar der Seher", "Latherion", "Anathera", "Zargh", "Thork", "Hulamahi", "Apotheker Helbrim", "Skiwa", "Grenthar", "Tariqa", 
	--[[ Boreanische Tundra ]] "Ith'rix der Ernter", "Nargo Bohrschraub", "Fu\195\159soldat Michi", "Knig Mrgl-Mrgl", "Glrglrglr", "Lurgglbr", "Kaulquappe der Winterflossen", "F\195\188rst Kryxix", "Kurbelzischs Mechagnom", "55-D Samm-lo-Mat", "K\195\164mpfer von Kurbelzisch", "Tinky Dochtpfiff", "\195\156berlebender von Landebahn Kurbelzisch", "Sp\195\164ho-Bot 57-K", "Bonker Wechselvolt", "Schamane von Kaskala", "Handwerker von Kaskala", "Hohepriester Talet-Kha", "Lurid", "Thassarian", "Leryssa", "Nedar, Herr der Rhinozerosse", "Beuteverr\195\188ckter Taucher", "Nesingwarys Fallensteller", "Beuteverr\195\188ckter Wilderer", "Zivilrekrut", "Jimmy der Stalljunge", "Celidh Biersucher", "Beuteverr\195\188ckter J\195\164ger", "Blutsporenernter", 
	--[[ Darnassus ]] "Lelanai", 
	--[[ Dmmerwald ]] "Stadtausrufer",
	--[[ Dalaran ]] "Hakmud von Argus", "Endora Edelhaupt", "Marrod Silberzunge", "Bj\195\182rn Halgurdsson", "Verteidiger der Winterskorn", "Leutnant Eishammer", "Elizabeth Ross", "Jessica Sellers", "Walter Wei\195\159furt", "Elizabeth Ros", "Endora Edelhaupt ", "Gnimo", "Lucian Trias", "Griselda Hunderland", "Tiffany Cartier", "Patrica Egan", "Edward Egan", "Larana Drome", "Ildine Sorgenspeer", "Ranid Leuchtegold", "Bryan Landers", "Dorian Finnes", "Magister Surdiel", "Arkanist Braedin", "Ranid Leuchtegold", "Dominique Stefano", "Debbi Meer", "Hira Schneed\195\164mmerung", "Aemara", "Jepetto Spa\195\159brumm", "Karandonna", 
	--[[ Der heulende Fjord ]] "Zeh'gehn", "Betrunkener Nordmeerpirat", "Fengir der Entehrte", "Rodin der Tollkhne", "Isuldolf Eisherz", "Windan der Kvaldir", "Peppi Falschd\195\188se", "Schankkellner Jason Gutstall", "Verwirrter Forscher", "Ausgrabungsleiter Belvar", "Offizier der Westwacht", "Minenarbeiter von Wildervar", "Sabetta Wehr", "Gavin Wehr", "Fallensteller Jethan", "Gil Grisert", "Eldrim H\195\188gler", "Lebronski", "Eisenrunenkonstrukt", "Nadelmeyer", "Stanwad", "Eindringling der Drachenschinder", "Todesweber der Drachenschinder", "Wegelagerer der Drachenschinder", "Oluf der Gewaltt\195\164tige", "Verteidiger von Valgarde", "Verrottender Ghul", "Firjus der Seelenmalmer", "Yorus der Fleischernter", "Fleischrei\195\159er der Drachenschinder", "Seelenh\195\164scher der Drachenschinder", "Gefangener Magier von Valgarde", "Leutnant der Drachenschinder", "Gefangener Paladin von Valgarde", "Jlarborn der Stratege", "Vorarbeiter Colbey", "Wachposten von Wildervar", "Than der Drachenschinder", "Aufgespie\195\159ter Sp\195\164her von Valgarde", "Beltrand McSorf", "Thoralius der Weise", "Vizeadmiral Keller", "Kanonier von Valgarde", "Sorely Zwickkling", "Eggenmeiser", "Nachz\195\188gler der Venture Co.", "Anachoretin Yazmina", "Hochlord Tirion Fordring", "Kleriker des Kreuzzugs",
	--[[ Drachende ]] "Belagerungsingenieur Viertelblitz", "Nekrolyt der Brennenden Tiefen", "Gro\195\159nekrolord Antiok", "Hilfloser Dorfbewohner", "Hilflose Dorfbewohnerin", "Hungernder Toter", "Thel'zan der D\195\164mmerbringer", "Oberkommandant Halford Wyrmbann", "Gefangener Dorfbewohner von Wintergarde", "Zelig der Vision\195\164r", "Hochlord Leoric von Zeldig", "Greifenreiter von Wintergarde", "Belagerungsingenieur der 7. Legion", "Elitek\195\164mpfer der 7. Legion", "Skyhero", "Vergessener Hauptmann", "Hauptmann Luc Valonfort", "Abgesandter der Allianz", "Prinz Arthas", "Muradin", "Vergessener Fu\195\159soldat", "Vergessener Hauptmann", "Vergessener Arbeiter", "Verletzter Soldat der 7. Legion", "Galiena", 
	--[[ Eiskrone ]] "Infragr\195\188nflugmeister", "Spitzel der Himmelsbrecher", "Spitzel der Himmelsbrecher", "Rhydian", "Auserw\195\164hlter Krieger von Ymirheim", "Gesichtsloser Schleicher", "Kriegsherr Hork Starkbogen", "Absalan der Fromme", "Marschall Ivalius", "Geirrvif", "Tugendhafter Kreuzfahrer", "Kreuzfahrerlord Dalfors", "Mampf", "Jayde", "Kreuzzugsingenieur Spitzpatrick", "Kreuzzugsarchitekt Silas", "Vater Gustav", "Befreiter Kreuzfahrer", "Gefangener Kreuzfahrer", "Der schwarze W\195\164chter", 
	--[[ Eisenschmiede ]] "Bimble Beerlang", "Myra Tyrngaarde", "John Turner",
	--[[ Exodar ]] "Weissager Nobundo",
	--[[ Gebirgspass der Totenwinde ]] "Smariss", 
	--[[ Hhlen der Zeit ]] "Sa'at", "Zalamora", "Vollstrecker des Schattenrats",
	--[[ Hllenfeuerhalbinsel ]] "Moh", "Jakk", "Arzeth der Erbarmungslose", "Erdbinderin Galandria", "Initiand des Teufelsbluts", "Strauchdieb der Knochenmalmer", "Magus Filinthus", "Soldat der Allianz", "Soldat der Horde", "Marschall Isildor", "Verteidiger der Ehrenfeste", "Verdammnislord Kazzak", "Truppenkommandant Danath Trollbann", "Wachkommandant Leonus", "Hand von Kargath", "Vater Malgor Devidicus", "Arator der Erl\195\182ser", "Gehilfe Klatu", "Sid Limbardi", "Infanterie von Sturmwind", 
  --[[ Hinterland ]] "Falstad Wildhammer",
	--[[ Karazhan ]] "Spektraler Lehrling", "Barnes", "Gefangene Seele", "Lehrling Darius", "Erzmagierin Leryda", "Erzmagier Alturus", "Calliard", "Spektraler Diener", "Geisterhafter Bediensteter", "Skelettpf\195\182rtner", "Herrin der Nacht", "\195\156ppige Schankmaid", "Konkubine", "Phantomgardist", "Spektraler Gast", "Phantomb\195\188hnenarbeiter", "Spektraler Gaukler", "Spektraler Anh\195\164nger", "Schattenpl\195\188nderer", "\195\132therischer Dieb",
	--[[ Loch Modan ]] "Gez\195\188cht der Tunnelratten",
	--[[ Mulgore ]] "Ahab Weizhuf", 
	--[[ Modlichtung ]] "Bewahrer Remulos", "Schildwache des Mondfests", 
	--[[ Nagrand ]] "Aufseher Moi'bff Jill", "Wazdaz", "Uralter Orcahne", "Beh\195\188ter der Telaari", "Corki", "Gezhe", "Netherl\195\164ufer des Konsortiums", "Jheel", "Gurgthock", "Thrall", "Vorarbeiter des Konsortiums", 
	--[[ Nethersturm ]] "Anachoret Karja", "Agent des Nethersturms", "Exarch Orelis", "Spionagemeister Thalodien", "Papa Mauschel", "H\195\164ndler Aljaan", "Karaaz", "Hauptmann Arathyn",
	--[[ stliche Pestlnder ]] "Amal'thazad", 
	--[[ Quel Danas ]] "Madrigosa", "Eldara D\195\164mmerflucht", "Exarch Larethor", "Getriebener Unhold", "Getriebener Verschlinger", "Hauptmann Theris Morgenheim", "H\195\164ndler Portanuus", "Krieger der Zerschmetterten Sonne", "Kleriker der Zerschmetterten Sonne", "Sch\195\188tze der Zerschmetterten Sonne", "Magus der Zerschmetterten Sonne", "Schmiedin Hauthaa", "Rekrut der Zerschmetterten Sonne", "Ausbildungsoffizier Bahduum", "Magister Ilastar", "Astromant Darnarian", "Ohura", "Verteidigerin Xayann", "Blutritter der D\195\164mmerklingen", "Ayren Wolkenbrecher", "Aufkl\195\164rer der Sonnenklingen", "Brutallus", "Bombensch\195\188tze der Zerschmetterten Sonne",
	--[[ Schattenmondtal ]] "Barimoke Wildbart", "Bron Goldhammer", "Greifenreiter der Wildh\195\164mmer", "Oberanf\195\188hrer Mor'ghor", "Kommandant Arcus", "Kommandant Hobb", "Verdammniswandler", "Cyrukh der Feuerlord", "Oronok Herzeleid", "Behemothon, K\195\182nig der Kolosse", "Mordenai", "F\195\18rst Illidan Sturmgrimm", "Neltharaku",
	--[[ Schergrat ]] "Navigator der Himmelswache", "Stallmeister der Himmelswache", "Pyrotechniker der Himmelswache", "Leutnant der Himmelswache", "Himmelsoffizier Vanderlip", "Torkus Junior", "Himmelskommandant Keller", "Friedensbewahrer von Ogri'la", "Vollstrecker der Speerspie\195\159er", "Himmelswache Khatie", "Leutnant der Himmelswache", "Verbrenner der Mo'arg", "Mog'dorg der Weise",
	--[[ Sengende Schlucht ]] "Kalaran der Betr\195\188ger",
	--[[ Shattrath ]] "Der Rokk", "Grisy Knusperw\195\188rz", "Landstreicher", "Saul von Shattrath", "Raliq der Betrunkene", "Gro\195\159anachoret Almonen", "Kommandant Steele", "Abgesandter Mordin", "A'dal", "Lady Liadrin", "General Tiras'alan", "Herold Haronem", "Quirler Waffelfritte", "Moser der Krapfenmann", "Oma Boskop", "Grok", "Gaunah", "Fl\195\188chtlingsm\195\164dchen", "Neophyt Nemarn", "Verteidiger der Aldor", "Herold Erothem", "Anachoret Nindumen", "Begleitender Anachoret", "Adyen der Lichtw\195\164chter", "Cro Dickf\195\164del",
	--[[ Sturmwind ]] "Billy", "Janey Amschiff", "Brandon", "Justin", "Morgan Pestle", "Lara Moor", "Edna Mullby", "Elling Trias", "Major Mattingly", "Stephanie Turner", "Thurman Mullby", "Melris Malagan", "Topper McNabb", "Thomas M\195\188ller", "William", "Donna", "Gil", "Justine Demalier", "Erich Lohan", "Aedis Brom", "Christoph Faral", "Reginald Windsor", "Schwester Lillian", "Aufseher Thelwasser", "Shellene", "Lisan Pierce", "Suzanne", "Reginald Windsor", "Lady Katrana Prestor", "General Marcus Jonathan", "Adam", "Stadtpatrolleur von Sturmwind", "Stadtwache von Sturmwind",
	--[[ Sturmgipfel ]] "Loken",
	--[[ Tanaris ]] "Aquementas", "Weegli Lunte", "Unteroffizier Bly",  
	--[[ Teldrassil ]] "Syral Messerblatt", "Zarrin", "Nyoma", 
	--[[ Theramore ]] "Freibeuter Groy", "Aufwiegler der Deserteure", "Axel", "Krixil Klopfknips", "Brogg", "Lehrling Morlann", "Wache Lasiter", "Calia Hastings", "Wache von Theramore", "Gavis Grauschild", "Major M\195\188hlens", "Sch\195\188tze von Theramore",
	--[[ Krater von Ungoro ]] "Baron Glutar",
	--[[ Westfall ]] "Gryan Starkmantel", "Daphne Stillbrunn", 
	--[[ Westliche Pestlnder ]] "Alexi Barov",
	--[[ Wlder von Terrokar ]] "Jenai Sternwisper", "Leutnant Kieshamme", "Eckert", "Hauptmann Auric Sonnenj\195\164ger", "Aufseher Baumlas", "Leutnant Meridian", "Fliegerass der Himmelswache", "Verteidiger Allerias", "Windst\195\188rmer der Himmelswache", "Himmelsoffizier Doryn", "Antreiber der Himmelswache", "Grella", "Deesak der Tierf\195\188hrer", "Schattenhafter J\195\164ger", "Abenteurer der Allianz",
	--[[ Zangarmarschen ]] "Kusch'kusch", 
	--[[ Spezial ]] "Draeneiwaisenkind", "Menschenwaisenkind", "Eranikus der Kettenbeladene", "Nachtelfenb\195\188rger", "Zwergenb\195\188rger", "Gnomenb\195\188rger", "Menschenb\195\188rger", "Goblinb\195\188rger", 
	--[[ Sontige ]] "Verwirrter Auss\195\164tziger", "Der Lichk\195\182nig", 
}

local function checktable(npc)
	for k,v in ipairs(stummliste) do
		if npc == v then return v end
	end
end
				
local ORIG_ChatFrame_MessageEventHandler = ChatFrame_MessageEventHandler;
function ChatFrame_MessageEventHandler(self, event, ...)
	if not ((event == "CHAT_MSG_MONSTER_SAY" or event == "CHAT_MSG_MONSTER_YELL") and arg2 == checktable(arg2)) then
		ORIG_ChatFrame_MessageEventHandler(self, event, ...);
	end
end
